Name:           libclastfm
Version:        0.5
Release:        %mkrel 1

Summary:        Unofficial C-API for the Last.fm web service
Group:          System/Libraries
License:        GPLv3+
URL:            http://liblastfm.sourceforge.net/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libtool
BuildRequires:  libcurl-devel

%description
libclastfm is an unofficial C-API for the Last.fm web service written with
libcurl. It was written because the official CBS Interactive Last.fm library
requires Nokia QT, which is usually not desired when using GTK+ based distros.

This library supports much more than basic scrobble submission. You can send
shouts, fetch Album covers and much more.

Due to the naming conflict with the official last.fm library, this library will
install as "libclastfm".

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -qn %{name}-%{version}


%build
%configure2_5x --disable-static
%make


%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/%{name}.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 29 2012 Neal <nealbrks0 at gmail dot com> 0.5-1pclos2012
- process

* Sun Oct 28 2012 Ken <lxgator@gmail.com> 0.5-1pclos2012
- inital pkg
